Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface RptServer

All Known Subinterfaces:
  HttpRptServer

    public interface RptServer

RptServer is an interface for using JReport Enterprise Server. This interface defines methods to initialize a RptServer, to start/restart a RptServer, to shutdown a RptServer, to get resource info of the RptServer, to run a report, to submit a scheduled task etc.

Method Summary
`boolean` | `canAutoRefresh(java.lang.String name)` This method is used for judge if the pipeline html page auto-refresh
`java.lang.String` | `copySchedules(java.lang.String[] taskids, java.lang.String user)` Copy the selected schedules tasks
`java.lang.String` | `deleteSchedules(java.lang.String[] taskids, java.lang.String user)` Delete the selected schedules tasks
`void` | `delScriptFile(java.lang.String filename)` Deprecated.
`boolean` | `disableScheduledTask(java.lang.String taskID)` Disable a scheduled task through the task ID.
`java.lang.String` | `disableSchedules(java.lang.String[] taskids, java.lang.String user)` Disable the selected schedules tasks
`void` | `dumpEnginesInfo()` Invoke this method to dump all currently active engine's instant information (status)
`boolean` | `enableScheduledTask(java.lang.String taskID)` Enable a scheduled task through the task ID.
`java.lang.String` | `enableSchedules(java.lang.String[] taskids, java.lang.String user)` Enable the selected schedules tasks
`ExportedFileList` | `exportResult(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.
`java.lang.String` | `exportResultToOneFormat(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.
`java.lang.String` | `exportScripts(java.lang.String userID, java.lang.String[] taskIDs)` Generate script of the specified tasks
`java.util.Vector` | `getActiveTasks()` Get active tasks.
`java.util.Vector` | `getActiveTasksByUser(java.lang.String userId)` Get active tasks by submitter.
`AdminService` | `getAdminService()` Get the admin service of report server.
`CatalogInfo` | `getCatalogInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber)` Gets CatalogInfo of specific version of catalog.
`ClusterMonitor` | `getClusterMonitor()` Get the cluster monitor.
`ClusterService` | `getClusterService()` Get the report cluster service.
`CompletedTaskTable` | `getCompletedTaskTable()` Get CompletedTaskTable.
`DHTMLClientService` | `getDHTMLClientService()` Gets DHTMLClientService.
`java.util.List` | `getEngineErrors(java.lang.String resultFile)` Get the engine errors after runing a report.
`FileAccessService` | `getFileAccessService()` Gets FileAccessService
`java.lang.String` | `getFilenames(java.lang.String name, int index)` This method is used for get the order index 's html filenames
`HelpAPI` | `getHelpService()` Gets HelpAPI.
`LargeReportManager` | `getLargeReportManager()` Gets LargeReportManager.
`java.lang.String` | `getLicenceExpiredDate()` Gets the expire date of the server license
`java.util.Hashtable` | `getMediaTray()` Get names of printers' media tray .
`MonitorService` | `getMonitorService()` Get the monitor service of the server.
`OndemandReportManager` | `getOndemandReportManager()` Gets OndemandReportManager.
`java.lang.String[]` | `getPaperList()` Get the print paper list.
`ParameterRecorder` | `getParameterRecorder()` Get the report parameter recorder for user get and set historical parameter value.
`java.util.Vector` | `getPrinters()` Get names of printers.
`ProfileManager` | `getProfileManager()` Get the function profile manager, which is used to manage the function profiles.
`ReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber)` Gets ReportInfo of specific version of catalog and report.
`ReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber, java.util.Hashtable ht)` Gets ReportInfo of specific version of catalog and report.
`ReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Gets ReportInfo of specific catalog and report.
`ResourceManager` | `getResourceManager()` Gets ResourceManager.
`ResultVersionTable` | `getResultVersionTable()` Get ResultVersionTable.
`RstResultInfo` | `getRstResultInfo(java.lang.String rst)` Gets RstResultInfo of specific rst file.
`java.util.Properties` | `getScheduledTask(java.lang.String taskID)` Get properties of a scheduled task through the task ID.
`java.util.Vector` | `getScheduledTasks()` Get scheduled tasks.
`java.util.Vector` | `getScheduledTasksByUser(java.lang.String userId)` get scheduled tasks by submitter
`java.lang.String[]` | `getScriptsList()` Deprecated.
`SecurityWebAdaptor` | `getSecurityWebAdaptor()` Gets SecurityWebAdaptor
`ServerEnv` | `getServerEnv()` Gets ServerEnv.
`SimpleDHtmlAPI` | `getSimpleDHtmlService()` Gets SimpleDHtmlAPI.
`TempResultOwnerManager` | `getTempResultOwnerManager()` Gets TempResultOwnerManager.
`TriggerManager` | `getTriggerManager()`
`UserPreferenceManager` | `getUserDHTMLPreferenceManager()` Get the preference manager for user get and save his/her dhtml preference.
`UserPreferenceManager` | `getUserPreferenceManager()` Get the preference manager for user get and save his/her preference.
`UserSessionManager` | `getUserSessionManager()` Gets UserSessionManager.
`VersionAmountLimitTable` | `getVersionAmountLimitTable()` Get VersionAmountTable.
`jet.server.api.ui.WebUIConfig` | `getWebUIConfig()` Gets WebUIConfig
`void` | `init(java.util.Properties svrProps)` Initialize RptServer.
`boolean` | `isClusterEnable()` Check if this server have cluster feature.
`boolean` | `isFreeVirtualAppliance()` Whether this server is free virtual appliance.
`boolean` | `isHtmlPipeLine(java.lang.String name)` This method is used for judge if the temp result is the pipeline html
`boolean` | `isRunningQueue()` Judge if the running report managered by a running report queue
`boolean` | `isScriptFileExist(java.lang.String filename)` Deprecated.
`boolean` | `isStarted()` Checks the server is started
`boolean` | `isTaskQueueFull(int priority)` return whether task queue is full.
`boolean` | `isTempResultReady(java.lang.String tempResultName)` Test if the temporary result is ready.
`java.lang.String` | `loadScheduledFromFile(java.lang.String fileName)` load schedules tasks from a sch file
`java.lang.String` | `loadScriptFromFile(java.lang.String filename)` Deprecated.
`java.util.Properties[]` | `parseScripts(java.lang.String scripts)` Parse given scripts, and transfer corresponding task into Properties object.
`void` | `publishResultToVersion(java.lang.String userid, java.util.Properties ht)` Publish report result to version system when viewing report result
`boolean` | `removeScheduledTask(java.lang.String taskID)` Remove a scheduled task through the task ID.
`void` | `restart(java.util.Properties svrProps)` Restart the RptServer.
`java.lang.String` | `runReport(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Run a report immediately.
`java.lang.String` | `runReportNotWaitResult(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Run a report.
`java.lang.String` | `runReportWithTimeouts(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams, long timeouts)` Run a report immediately with timeouts.
`java.lang.String` | `runTask(java.lang.String userID, java.util.Properties propTask)` Run a task immediately and return the completed task ID.
`long` | `runTestReport(java.util.Properties ht)` run test report
`java.lang.String` | `saveScheduledToFile(java.lang.String[] taskid, java.lang.String fileName, boolean bOverWrite)` Save schedules tasks to a sch file
`java.lang.String` | `saveScheduledToScriptFile(java.lang.String[] taskid)` Deprecated.
`boolean` | `saveScriptToFile(java.lang.String script, java.lang.String filename)` Deprecated.
`void` | `setJDBCConnection(java.lang.String userID, java.lang.String catalog, java.lang.String jdbcURL, java.lang.String dbUser, java.lang.String dbPswd, java.lang.String jdbcDriver)` Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.
`void` | `setRefreshed(java.lang.String name, boolean isRefreshed)` This method is used for set the first pipeline html page refreshed
`void` | `setTempResultOwnerManager(TempResultOwnerManager ownerMan)` Sets TempResultOwnerManager.
`void` | `setUserSessionManager(UserSessionManager ssnMan)` Sets UserSessionManager.
`void` | `shutdown()` Shutdown the RptServer.
`void` | `start()` Starts the RptServer.
`boolean` | `stopActiveTask(java.lang.String taskID)` Stop a scheduled task with the task ID.
`boolean` | `stopActiveTaskByUser(java.lang.String taskID, java.lang.String userId)` Stop a scheduled task with the task ID and submitter.
`java.lang.String` | `submitScheduledTask(java.lang.String userID, java.util.Properties propScheduledTask)` Submit a scheduled task and return the task ID.
`java.lang.Object[]` | `submitScheduledTasks(java.lang.String userID, java.util.Properties[] tasks)` Submit set of schedule task and return the task ID or Exception.
`java.lang.String` | `waitTempResultReady(java.lang.String tempResultName)` Wait the temporary result to be ready and return the error message.

Method Detail

### init

    void init(java.util.Properties svrProps)

  Initialize RptServer. This method must be called after RptServer object is created.

  Parameters:
    `svrProps` - properties of the server. These properties related to the implemetation of the RptServer. For the jet.server.jrserver.JRRptServer of Jinfonet's implementation. The property "reporthome" must be set. Other properties are optional. The properties are:
    - reporthome or install.root : Must be set. For example: c:/JREntServer.
    - jrs.isMyServer : Indicates if the HTTP server is JReport standalone server. The default value is "false".
    - temp_dir or jrs.dir.temp : The path of temp directory. The default value is "/temp".
    - history_dir or jrs.dir.history : The directory where all the versions of report results will be maintained. The default value is "/history".
    - auth_scheme : It specifies the scheme of authentication. Its value must be Basic or Digest. The default value is Basic.
    - default_doc : The home page of JReport Enterprise Server. It is an HTML file. If it is not set or the file set to it cannot be loaded, the default home page of JReport Enterprise Server will be used. The path is relative to , for example, docs/index.html.
    - isConvertedServletPath : This property specifies whether your web server decodes the path if it contains special charactors. This information is used for JRServlet to determine whether it needs to convert that path. If you don't specify this property, your web server is supposed not to decode path.
    - vError : Enable output of error messages of JRpeort Engine. Available values true/false.
    - vDebug : Enable output of debug messages of JRpeort Engine. Available values true/false.
    - logFile : Transfer output message of JRpeort engine to the file /logs/report.log or other file as specified.

### start

    void start()

  Starts the RptServer. This method must be called after the RptServer object is initialized.

### isStarted

    boolean isStarted()

  Checks the server is started

  Returns:
    is the server started.

### restart

    void restart(java.util.Properties svrProps)

  Restart the RptServer. This method should shutdown RptServer first, then call the start(...) method.

  Parameters:
    `svrProps` - properties of the server. These properties are related to the implementation of RptServer.

### shutdown

    void shutdown()

  Shutdown the RptServer.

### getServerEnv

    ServerEnv getServerEnv()

  Gets ServerEnv.

  Returns:
    the ServerEnv.
  See Also:
    `ServerEnv`

### getResourceManager

    ResourceManager getResourceManager()

  Gets ResourceManager.

  Returns:
    the ResourceManager.
  See Also:
    `ResourceManager`

### getSecurityWebAdaptor

    SecurityWebAdaptor getSecurityWebAdaptor()

  Gets SecurityWebAdaptor

  Returns:
    the SecurityWebAdaptor
  See Also:
    `SecurityWebAdaptor`

### getSimpleDHtmlService

    SimpleDHtmlAPI getSimpleDHtmlService()

  Gets SimpleDHtmlAPI.

  Returns:
    the SimpleDHtmlAPI.
  See Also:
    `SimpleDHtmlAPI`

### getDHTMLClientService

    DHTMLClientService getDHTMLClientService()

  Gets DHTMLClientService.

  Returns:
    the DHTMLClientService.
  See Also:
    `DHTMLClientService`

### getFileAccessService

    FileAccessService getFileAccessService()

  Gets FileAccessService

  Returns:
    the FileAccessService
  See Also:
    `FileAccessService`

### getHelpService

    HelpAPI getHelpService()

  Gets HelpAPI.

  Returns:
    the HelpAPI.
  See Also:
    `HelpAPI`

### getTempResultOwnerManager

    TempResultOwnerManager getTempResultOwnerManager()

  Gets TempResultOwnerManager.

  Returns:
    the TempResultOwnerManager.
  See Also:
    `TempResultOwnerManager`

### getLargeReportManager

    LargeReportManager getLargeReportManager()

  Gets LargeReportManager.

  Returns:
    the LargeReportManager.
  See Also:
    `LargeReportManager`

### setTempResultOwnerManager

    void setTempResultOwnerManager(TempResultOwnerManager ownerMan)

  Sets TempResultOwnerManager.

  Parameters:
    `ownerMan` - the TempResultOwnerManager.
  See Also:
    `TempResultOwnerManager`

### getUserSessionManager

    UserSessionManager getUserSessionManager()

  Gets UserSessionManager.

  Returns:
    the UserSessionManager.
  See Also:
    `UserSessionManager`

### setUserSessionManager

    void setUserSessionManager(UserSessionManager ssnMan)

  Sets UserSessionManager.

  Parameters:
    `ssnMan` - the UserSessionManager.
  See Also:
    `UserSessionManager`

### getRstResultInfo

    RstResultInfo getRstResultInfo(java.lang.String rst)

  Gets RstResultInfo of specific rst file.

  Parameters:
    `rst` - the real path of the rst file. For example: c:\temp\rst.
  Returns:
    the RstResultInfo.
  See Also:
    `RstResultInfo`

### getReportInfo

    ReportInfo getReportInfo(java.lang.String userID,
                             java.lang.String catalog,
                             java.lang.String report)

  Gets ReportInfo of specific catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `report` - the report name. For example: /SampleReports/CustomerAnalysis.cls.
  Returns:
    the ReportInfo.
  See Also:
    `ReportInfo`

### getCatalogInfo

    CatalogInfo getCatalogInfo(java.lang.String userID,
                               java.lang.String catalog,
                               int catVerNumber)

  Gets CatalogInfo of specific version of catalog.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `catVerNumber` - version number of the catalog
  Returns:
    the CatalogInfo.
  See Also:
    `CatalogInfo`

### getReportInfo

    ReportInfo getReportInfo(java.lang.String userID,
                             java.lang.String catalog,
                             int catVerNumber,
                             java.lang.String report,
                             int rptVerNumber)

  Gets ReportInfo of specific version of catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `catVerNumber` - version number of the catalog
    `report` - the report name. For example:/SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - versin number of the report
  Returns:
    the ReportInfo.
  See Also:
    `ReportInfo`

### getReportInfo

    ReportInfo getReportInfo(java.lang.String userID,
                             java.lang.String catalog,
                             int catVerNumber,
                             java.lang.String report,
                             int rptVerNumber,
                             java.util.Hashtable ht)

  Gets ReportInfo of specific version of catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `catVerNumber` - version number of the catalog
    `report` - the report name. For example:/SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - versin number of the report
    `ht` - a hashtable contains some additional properties such as catalog DB connection information.
  Returns:
    the ReportInfo.
  See Also:
    `ReportInfo`

### submitScheduledTask

    java.lang.String submitScheduledTask(java.lang.String userID,
                                         java.util.Properties propScheduledTask)
                                         throws RptServerException

  Submit a scheduled task and return the task ID.

  Parameters:
    `userID` - the user ID.
    `propScheduledTask` - the properties of the scheduled task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the scheduled task properties.
  Returns:
    the task ID.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### runTask

    java.lang.String runTask(java.lang.String userID,
                             java.util.Properties propTask)
                             throws RptServerException

  Run a task immediately and return the completed task ID. The schedule infomation would be ignored if it exist in the task properties.

  Parameters:
    `userID` - the user ID.
    `propTask` - the properties of the task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the task properties.
  Returns:
    the completed task ID.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### runReport

    java.lang.String runReport(java.lang.String userID,
                               java.lang.String catalog,
                               java.lang.String report,
                               java.util.Properties propParams)
                               throws RptServerException,
                                      TooManyReportsException

  Run a report immediately. After the running is over, return the temporary result name.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example:/SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `propParams` - the properties that contains APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the parameter. if the parameter is support multiple choice, then the property value must be a array consist of values of the parameter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReport(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException`

### runReportNotWaitResult

    java.lang.String runReportNotWaitResult(java.lang.String userID,
                                            java.lang.String catalog,
                                            java.lang.String report,
                                            java.util.Properties propParams)
                                            throws RptServerException,
                                                   TooManyReportsException

  Run a report. Before the running is over, return the temporary result name. Use the methods isTempResultReady(...) and waitTempResultReady(...) to wait until the temporary result is ready.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example: invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the paramter. if the parameter is support multiple choice, then the property value must be a array consist of values of the parameter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportNotWaitResult(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException`

### runReportWithTimeouts

    java.lang.String runReportWithTimeouts(java.lang.String userID,
                                           java.lang.String catalog,
                                           java.lang.String report,
                                           java.util.Properties propParams,
                                           long timeouts)
                                           throws RptServerException,
                                                  TooManyReportsException

  Run a report immediately with timeouts. When timeouts reached, this method will add the temporary result name into the Large Reports List and return the temporary result name. After calling this method, can use the methods isTempResultReady(...) and waitTempResultReady(...) to check/wait until the temporary result is ready, or use use the methods rptServer.getLargeReportManager().getLargeReportRecord(tempResultName) to check if the temporary result is ready. Can use the method rptServer.getLargeReportManager().getLargeReports(userID) to get the large reports list belong to the userID.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example: invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the paramter. if the parameter is support multiple choice, then the property value must be a array consist of values of the parameter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportWithTimeouts(userID, catalog, report, propParams, jet.server.api.http.HttpUtil.getReportWaitTimeouts());

    `timeouts` - the timeouts in millisecond.
  Returns:
    the temporary result name.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException`

### isTempResultReady

    boolean isTempResultReady(java.lang.String tempResultName)
                              throws RptServerException

  Test if the temporary result is ready.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    if the temporary result is ready.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### waitTempResultReady

    java.lang.String waitTempResultReady(java.lang.String tempResultName)
                                         throws java.lang.InterruptedException

  Wait the temporary result to be ready and return the error message.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the error message. null if no error.
  Throws:
    `java.lang.InterruptedException` - if an InterruptedException occurs.

### exportResultToOneFormat

    java.lang.String exportResultToOneFormat(java.lang.String userID,
                                             java.lang.String resultFileName,
                                             java.util.Properties props)
                                             throws RptServerException

  Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real filename of the result. For example: c:\jrserver\temp\18238181130.temp.
    `props` - the properties that contains APIConst.TAG_RESULT_TYPE. About properties for each result type, please see the document "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm".
  Returns:
    the temporary result name.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### exportResult

    ExportedFileList exportResult(java.lang.String userID,
                                  java.lang.String resultFileName,
                                  java.util.Properties props)
                                  throws RptServerException

  Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real filename of the result. For example: c:\jrserver\temp\18238181130.temp.
    `props` - the properties APIConst.TAG_RST, APIConst.TAG_PDF, APIConst.TAG_TEXT, APIConst.TAG_EXCEL and APIConst.TAG_PS. Value of these properties is true or false. The properties APIConst.TAG_HTML, APIConst.TAG_XML and APIConst.TAG_RTF. Value of these properties is filename without path(for example: invoice and invoice.rtf). About properties for each result type, please see the document "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm".
  Returns:
    the exported file list.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### getResultVersionTable

    ResultVersionTable getResultVersionTable()

  Get ResultVersionTable.

  Returns:
    the ResultVersionTable.
  See Also:
    `ResultVersionTable`

### getScheduledTask

    java.util.Properties getScheduledTask(java.lang.String taskID)

  Get properties of a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    the properties of a scheduled task.

### removeScheduledTask

    boolean removeScheduledTask(java.lang.String taskID)

  Remove a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is removed.

### enableScheduledTask

    boolean enableScheduledTask(java.lang.String taskID)

  Enable a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is enabled.

### disableScheduledTask

    boolean disableScheduledTask(java.lang.String taskID)

  Disable a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is disabled.

### stopActiveTask

    boolean stopActiveTask(java.lang.String taskID)

  Stop a scheduled task with the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task stops.

### stopActiveTaskByUser

    boolean stopActiveTaskByUser(java.lang.String taskID,
                                 java.lang.String userId)

  Stop a scheduled task with the task ID and submitter.

  Parameters:
    `taskID` - the task ID.
    `userId` - the submitter
  Returns:
    if the scheduled task stops.
  Since:
    JREntServer V6

### getScheduledTasks

    java.util.Vector getScheduledTasks()

  Get scheduled tasks.

  Returns:
    scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.

### getScheduledTasksByUser

    java.util.Vector getScheduledTasksByUser(java.lang.String userId)

  get scheduled tasks by submitter

  Parameters:
    `userId` - the submitter
  Returns:
    scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.
  Since:
    JREntServer V6

### getActiveTasks

    java.util.Vector getActiveTasks()

  Get active tasks.

  Returns:
    active tasks. The Vector contains `jet.server.api.ActiveTaskRecord` objects. Each ActiveTaskRecord object contains information of an active task in report server.
  See Also:
    `ActiveTaskRecord`

### getActiveTasksByUser

    java.util.Vector getActiveTasksByUser(java.lang.String userId)

  Get active tasks by submitter.

  Parameters:
    `userId` - the submitter
  Returns:
    active tasks. The Vector contains `jet.server.api.ActiveTaskRecord` objects. Each ActiveTaskRecord object contains information of an active task in report server.
  Since:
    JREntServer V6
  See Also:
    `ActiveTaskRecord`

### getCompletedTaskTable

    CompletedTaskTable getCompletedTaskTable()

  Get CompletedTaskTable.

  Returns:
    the CompletedTaskTable.
  See Also:
    `CompletedTaskTable`

### getPrinters

    java.util.Vector getPrinters()

  Get names of printers.

  Returns:
    names of printers.

### getMediaTray

    java.util.Hashtable getMediaTray()

  Get names of printers' media tray .

  Returns:
    Hashtable of media tray.

### setJDBCConnection

    void setJDBCConnection(java.lang.String userID,
                           java.lang.String catalog,
                           java.lang.String jdbcURL,
                           java.lang.String dbUser,
                           java.lang.String dbPswd,
                           java.lang.String jdbcDriver)
                           throws RptServerException

  Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.

  Change the JDBC connection info of a catalog.

  Parameters:
    `userID` - the user ID.
    `jdbcURL` - the URL of the JDBC connection. The value null means that the value is not changed.
    `dbUser` - the user ID of the JDBC connection. The value null means that the value is not changed.
    `dbPswd` - the password of the JDBC connection. The value null means that the value is not changed.
    `jdbcDriver` - the JDBC dirver of the JDBC connection. The value null means that the value is not changed.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### publishResultToVersion

    void publishResultToVersion(java.lang.String userid,
                                java.util.Properties ht)
                                throws RptServerException

  Publish report result to version system when viewing report result

  Parameters:
    `userid` - user ID
    `ht` - properties of report result, include catalog name, report name, temp result file name, parameters(if this report has any parameter.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### getVersionAmountLimitTable

    VersionAmountLimitTable getVersionAmountLimitTable()

  Get VersionAmountTable.

  Returns:
    the VersionAmountTable.
  See Also:
    `VersionAmountTable`

### isRunningQueue

    boolean isRunningQueue()

  Judge if the running report managered by a running report queue

  Returns:
    If a report queue is running ,Then return true,Otherwise return false

### isTaskQueueFull

    boolean isTaskQueueFull(int priority)

  return whether task queue is full.

  Returns:
    If task queue is full return true, otherwise return false

### saveScheduledToFile

    java.lang.String saveScheduledToFile(java.lang.String[] taskid,
                                         java.lang.String fileName,
                                         boolean bOverWrite)

  Save schedules tasks to a sch file

  Parameters:
    `taskid` - The taskid which task will be save to file
    `fileName` - The saved schedule task file's name
    `bOverWrite` - If Replace the exist Schedule file
  Returns:
    The output message to client side

### loadScheduledFromFile

    java.lang.String loadScheduledFromFile(java.lang.String fileName)

  load schedules tasks from a sch file

  Parameters:
    `fileName` - The schedule task's fileName which will be loaded
  Returns:
    return the output message to client side

### saveScheduledToScriptFile

    java.lang.String saveScheduledToScriptFile(java.lang.String[] taskid)

  Deprecated.

  Save schedules tasks to a script file

  Parameters:
    `taskid` - The taskid which task will be save to file
    `fileName` - The saved schedule task file's name
    `bOverWrite` - If Replace the exist Schedule file
  Returns:
    The output message to client side

### copySchedules

    java.lang.String copySchedules(java.lang.String[] taskids,
                                   java.lang.String user)

  Copy the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side

### deleteSchedules

    java.lang.String deleteSchedules(java.lang.String[] taskids,
                                     java.lang.String user)

  Delete the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side

### enableSchedules

    java.lang.String enableSchedules(java.lang.String[] taskids,
                                     java.lang.String user)

  Enable the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side

### disableSchedules

    java.lang.String disableSchedules(java.lang.String[] taskids,
                                      java.lang.String user)

  Disable the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side

### getFilenames

    java.lang.String getFilenames(java.lang.String name,
                                  int index)

  This method is used for get the order index 's html filenames

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
    `index` - : the order of the html file name
  Returns:
    : The order index's html filenames

### canAutoRefresh

    boolean canAutoRefresh(java.lang.String name)

  This method is used for judge if the pipeline html page auto-refresh

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
  Returns:
    : if auto-refresh

### setRefreshed

    void setRefreshed(java.lang.String name,
                      boolean isRefreshed)

  This method is used for set the first pipeline html page refreshed

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
    `isRefreshed` - the first pipeline html page if or not refreshed

### isHtmlPipeLine

    boolean isHtmlPipeLine(java.lang.String name)

  This method is used for judge if the temp result is the pipeline html

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
  Returns:
    : if the temp result is the pipeline html

### getClusterService

    ClusterService getClusterService()

  Get the report cluster service. It provides active report members' info and load balancer etc.

  Returns:
    the ClusterService object.

### getAdminService

    AdminService getAdminService()

  Get the admin service of report server.

  Returns:
    the AdminService object. If the `RptServer` instance is a remote wrapped server, which is gotten by calling RemoteReportServerToolkit, this method will throw `UnsupportedOperationException` always, for remote server API does not support administration functions.
  See Also:
    `jet.server.api.`

### getMonitorService

    MonitorService getMonitorService()

  Get the monitor service of the server.

  Returns:
    the MonitorService object.
  See Also:
    `jet.server.api.monitor.`

### getClusterMonitor

    ClusterMonitor getClusterMonitor()

  Get the cluster monitor. It provides active report members' monitor

  Returns:
    the ClusterMonitor object.

### isClusterEnable

    boolean isClusterEnable()

  Check if this server have cluster feature.

  Returns:
    true if has cluster feature, otherwise false.

### getParameterRecorder

    ParameterRecorder getParameterRecorder()

  Get the report parameter recorder for user get and set historical parameter value.

  Returns:
    the preference manager.

### getUserPreferenceManager

    UserPreferenceManager getUserPreferenceManager()

  Get the preference manager for user get and save his/her preference.

  Returns:
    the preference manager.

### getUserDHTMLPreferenceManager

    UserPreferenceManager getUserDHTMLPreferenceManager()

  Get the preference manager for user get and save his/her dhtml preference.

  Returns:
    the preference manager.

### getProfileManager

    ProfileManager getProfileManager()

  Get the function profile manager, which is used to manage the function profiles. Profile is predefined for user to specify available functions, a profile defined a set of functions which will be available for end-user when open a report. Only adminstrator can add/remove/update profiles.

  Returns:
    the function profile manager.

### runTestReport

    long runTestReport(java.util.Properties ht)
                       throws RptServerException

  run test report

  Parameters:
    `ht` - run report needed infos, such as report, catalog and submitter, etc.
  Returns:
    the time costed
  Throws:
    `RptServerException`

### getScriptsList

    java.lang.String[] getScriptsList()

  Deprecated.

  This method will get an array includes all sheduler script file name

  Returns:
    A String array

### loadScriptFromFile

    java.lang.String loadScriptFromFile(java.lang.String filename)

  Deprecated.

  This method will return script's string

  Parameters:
    `filename` - - A String of the schedule script file name
  Returns:
    The selected script file will be conveted to a string

### saveScriptToFile

    boolean saveScriptToFile(java.lang.String script,
                             java.lang.String filename)

  Deprecated.

  This method will save script string to file system

  Parameters:
    `script` - - A String object of Sheduler's script text
    `filename` - - File name that the script will be stored.
  Returns:
    Return true if the operating is success else fasle;

### isScriptFileExist

    boolean isScriptFileExist(java.lang.String filename)

  Deprecated.

  This method test whether the special script file is exist.

  Parameters:
    `filename` - - File name that will be tested
  Returns:
    Return true if the script file is exist whether false.

### delScriptFile

    void delScriptFile(java.lang.String filename)

  Deprecated.

  This method will delete the special script file

  Parameters:
    `filename` - - File name that will be tested

### getOndemandReportManager

    OndemandReportManager getOndemandReportManager()

  Gets OndemandReportManager.

  Returns:
    the OndemandReportManager.
  See Also:
    `OndemandReportReportManager`

### exportScripts

    java.lang.String exportScripts(java.lang.String userID,
                                   java.lang.String[] taskIDs)

  Generate script of the specified tasks

  Parameters:
    `taskIDs:` - specified tasks' ID
    `userID:` - specified user id
  Returns:
    scripts string

### parseScripts

    java.util.Properties[] parseScripts(java.lang.String scripts)
                                        throws RptServerException

  Parse given scripts, and transfer corresponding task into Properties object.

  Parameters:
    `userID` - specified user id
    `scripts` - contents of the scripts
  Returns:
    Properties array whose order corresponds to that of tasks described in scrips. Properties object can be submitted to Server by using the jet.server.api.RptServer.submitScheduledTask method.
  Throws:
    `RptServerException`

### getTriggerManager

    TriggerManager getTriggerManager()

### submitScheduledTasks

    java.lang.Object[] submitScheduledTasks(java.lang.String userID,
                                            java.util.Properties[] tasks)
                                            throws RptServerException

  Submit set of schedule task and return the task ID or Exception.

  Parameters:
    `userID` - the user ID.
    `tasks` - An array of Properties, each Properties object in the array describes a task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the scheduled task properties.
  Returns:
    Object array that corresponds to array of the submitted tasks. When submission of the corresponding task is successfully, it is the taskID; when failed, it is Exception.
  Throws:
    `RptServerException`
  Since:
    8.00

### getPaperList

    java.lang.String[] getPaperList()

  Get the print paper list.

  Returns:
    string array that corresponds to list of print paper type.

### dumpEnginesInfo

    void dumpEnginesInfo()

  Invoke this method to dump all currently active engine's instant information (status)

### getEngineErrors

    java.util.List getEngineErrors(java.lang.String resultFile)

  Get the engine errors after runing a report.

### getWebUIConfig

    jet.server.api.ui.WebUIConfig getWebUIConfig()

  Gets WebUIConfig

  Returns:
    the WebUIConfig
  See Also:
    `WebUIConfig`

### isFreeVirtualAppliance

    boolean isFreeVirtualAppliance()

  Whether this server is free virtual appliance.

  Returns:
    whether this server is free virtual appliance.

### getLicenceExpiredDate

    java.lang.String getLicenceExpiredDate()

  Gets the expire date of the server license

  Returns:
    a String object representing a date in the format "yyyy-mm-dd" or "Never" representing never expire.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD